#footer {
    position: absolute;
    bottom: 0;
    display: flex;
    height: 3rem;
    align-items: center;
    font-family: "Roboto Condensed";
    justify-content: center;
    left: 50%;
    transform: translateX(-50%);
    min-width: 300px;
    width: 100%;
}
#footerContainer{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content:center;
    line-height: 1rem;
    position: relative;
}
#contactInFooter {
    position: relative;
    z-index: 10;
}
#contactTextInFooter {
    text-decoration: underline;
    cursor: pointer;
}
.footercontactPopUpOuterContainer{
    position: absolute;
    bottom: 0;
    background-image: linear-gradient(45deg, #f20203 12.50%, #dbdbda 12.50%, #dbdbda 25%, #00a5cc 25%, #00a5cc 37.50%, #dbdbda 37.50%, #dbdbda 50%, #f20203 50%, #f20203 62.50%, #dbdbda 62.50%, #dbdbda 75%, #00a5cc 75%, #00a5cc 87.50%, #dbdbda 87.50%, #dbdbda 100%);
    background-size: 45.25px 45.25px;
    max-width: 600px;
    width: 100%;
    padding: 6px;
    left: 50%;
    transform: translate(-50%, -26px);
    box-shadow: 0 12px 25px -10px #000;
}
.footerContactPopUpInnerContainer{
    width: 100%;
    background-color: #dbdbda;
    display: flex;
    flex-flow: column;
    padding: 30px 0 4px;
}
.footerContactPopupCloseButton{
    position: absolute;
    background-color: #f20203;
    border-radius: 0 0 0 6px;
    padding: 4px 6px;
    top: 9px;
    right: 8px;
    color: white;
    font-size: 1rem;
    cursor: pointer;
}
.footerTitleSeparator{
    position: relative;
    top: 12px;
    border-top: 1px solid #9c9696;
    border-bottom: 1px solid #fff;
    margin: 0 12px;
}
.footerTitle{
    position: relative;
    background-color: #dbdbda;
    font-weight: 700;
    padding: 0 4px;
    width: fit-content;
    margin: auto;
    color: #9c9696;
    text-shadow: 0 1px 0 #fff;
}
.footerTitleIcon{
    padding: 0 4px 0 2px;
}
.footerSocialLinksContainer{
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.5rem;
    padding: 8px 0;
}
.footerSocialIcon{
    padding: 0 4px;
    margin: 0 2px;
    cursor: pointer;
}
.footerOtherSocialTitle{
    color: #9c9696;
    text-shadow: 0 1px 0 #fff;
    text-align: center;
}
.instagramLink {
    width: 24px;
    height: 24px;
    padding: 0 4px;
    margin: 0 2px;
    background-image:url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 24 24" width="24" height="24"><defs><style>.cls-1{fill:url(%23linear-gradient);}.cls-2{fill:url(%23linear-gradient-2);}.cls-3{fill:url(%23linear-gradient-3);}</style><linearGradient id="linear-gradient" x1="-37.58" y1="62.08" x2="-37.34" y2="62.08" gradientTransform="matrix(-29.22, 96.54, 96.54, 29.22, -7075.36, 1813.55)" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="%23515bd4"/><stop offset="0.26" stop-color="%239510b8"/><stop offset="0.66" stop-color="%23e51804"/><stop offset="1" stop-color="%23feda77"/></linearGradient><linearGradient id="linear-gradient-2" x1="-37.58" y1="62.08" x2="-37.34" y2="62.08" gradientTransform="matrix(-29.22, 96.54, 96.54, 29.22, -7075.36, 1813.55)" gradientUnits="userSpaceOnUse"><stop offset="0" stop-color="%23515bd4"/><stop offset="0.26" stop-color="%239510b8"/><stop offset="0.66" stop-color="%23e51804"/><stop offset="1" stop-color="%23ffbf00"/></linearGradient><linearGradient id="linear-gradient-3" x1="-37.58" y1="62.12" x2="-37.34" y2="62.12" xlink:href="%23linear-gradient-2"/></defs><path class="cls-1" d="M12,0C8.74,0,8.33,0,7.05.07A8.71,8.71,0,0,0,4.14.63,6.07,6.07,0,0,0,.63,4.14,8.71,8.71,0,0,0,.07,7.05C0,8.33,0,8.74,0,12S0,15.67.07,17a8.76,8.76,0,0,0,.56,2.91,6.07,6.07,0,0,0,3.51,3.51,8.71,8.71,0,0,0,2.91.56C8.33,24,8.74,24,12,24s3.67,0,4.95-.07a8.76,8.76,0,0,0,2.91-.56,6.07,6.07,0,0,0,3.51-3.51A8.76,8.76,0,0,0,23.93,17C24,15.67,24,15.26,24,12s0-3.67-.07-4.95a8.71,8.71,0,0,0-.56-2.91A6.07,6.07,0,0,0,19.86.63,8.76,8.76,0,0,0,17,.07C15.67,0,15.26,0,12,0Zm0,2.16c3.2,0,3.58,0,4.85.07a7,7,0,0,1,2.23.41,3.75,3.75,0,0,1,1.38.9,3.61,3.61,0,0,1,.89,1.38,6.67,6.67,0,0,1,.42,2.23c.06,1.27.07,1.65.07,4.85s0,3.58-.07,4.85a6.67,6.67,0,0,1-.42,2.23,3.89,3.89,0,0,1-2.27,2.27,6.67,6.67,0,0,1-2.23.42c-1.27.06-1.65.07-4.85.07s-3.58,0-4.85-.07a6.67,6.67,0,0,1-2.23-.42,3.61,3.61,0,0,1-1.38-.89,3.75,3.75,0,0,1-.9-1.38,7,7,0,0,1-.41-2.23c-.06-1.27-.07-1.65-.07-4.85s0-3.58.07-4.85a7,7,0,0,1,.41-2.23,3.75,3.75,0,0,1,.9-1.38,3.75,3.75,0,0,1,1.38-.9,7,7,0,0,1,2.23-.41C8.42,2.17,8.8,2.16,12,2.16Z" transform="translate(0 0)"/><path class="cls-2" d="M12,16a4,4,0,1,1,4-4A4,4,0,0,1,12,16ZM12,5.84A6.16,6.16,0,1,0,18.16,12,6.16,6.16,0,0,0,12,5.84Z" transform="translate(0 0)"/><path class="cls-3" d="M19.85,5.59a1.44,1.44,0,1,1-1.44-1.44A1.44,1.44,0,0,1,19.85,5.59Z" transform="translate(0 0)"/></svg>');
    background-repeat: no-repeat;
    background-position-x: center;
    cursor: pointer;
}
.thingiverseLink {
    width: 24px;
    height: 24px;
    padding: 0 4px;
    margin: 0 2px;
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24"><defs><style>.cls-1{fill:%232e88ff;fill-rule:evenodd;}</style></defs><path class="cls-1" d="M12,0A12,12,0,1,0,24,12,12,12,0,0,0,12,0Zm6.84,9.26H13.79v12H10.21v-12H5.16V5.68H18.84Z"/></svg>');
    background-repeat: no-repeat;
    background-position-x: center;
    cursor: pointer;
}
.zBrushLink {
    position: relative;
    width: 24px;
    height: 21px;
    padding: 0 4px;
    margin: 0 2px;
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 21.07" width="24" height="21"><path d="M23.93,22c-.2.17-.8-.17-1.05-.31a7.3,7.3,0,0,1-3-2.52c-.33-.55.53-1.05-.05-1.8-1.59-2.07-7.54-2.44-9.95-2.23-1.82,1.92-3.68,3.92-6.16,5a5.13,5.13,0,0,1-3.45.67c-.21-.07-.32-.17-.25-.49,1.43-3.93,6.38-6.32,10.16-7.46A28.48,28.48,0,0,1,13.83,9C13,8.5,12.1,8,11.3,7.39A3.39,3.39,0,0,0,7.75,7.1C6.87,7.54,6,8.18,5.94,9.23c0,.28.07.61-.22.8a7,7,0,0,1-2.85,1c-.64,0,0-.74.27-1.13A10,10,0,0,1,9,5.56C11.53,5,14.07,6,16.29,7a6.42,6.42,0,0,1,2.26-1.13c1.32-.29,2.51.47,1.88,1.61-1.18,2.14-3.65,3.3-5.76,2a37.51,37.51,0,0,0-2.82,3.15c5-.06,9.7,3.43,11.75,7.72C23.83,20.87,24.14,21.85,23.93,22ZM8.32,15.32c-2.36.47-4.85,1.33-6.47,3.17-.38.42-.73,1.34-.19,1.39C3.63,20.07,7.09,16.79,8.32,15.32Zm9-8a2.89,2.89,0,0,0,2.44-.18c.18-.16.25-.46,0-.55C18.92,6.25,17.45,7.28,17.33,7.36Z" transform="translate(0 -1)"/><path d="M14.18,1c1.24,0,2.46,1.68,2.38,2.94-.07.95-1.77.83-2.34.8-2.25-.1-2.51-2.15-1-3.38A1.4,1.4,0,0,1,14.18,1Z" transform="translate(0 -1)"/></svg>');
    background-repeat: no-repeat;
    background-position-x: center;
    cursor: pointer;
}
.footerContactBadgeText{
    position: absolute;
    background-color: #555;
    padding: 0 3px;
    border-radius: 3px;
    color: #ccc;
    font-size: 0.7rem;
    left: 20px;
    font-family: "Roboto Condensed";
    top: 5px;
}
.footerInputContainer{
    position: relative;
    display: flex;
    width: 100%;
}
.footerInput {
    background-color: rgba(255,255,255, 0.3);
    border-radius: 4px;
    resize: none;
    margin: 16px 12px 0;
    border: none;
    box-sizing: border-box;
    font-family: "Roboto Condensed";
    padding: 8px;
    border-top: 1px solid rgba(255,255,255,0);
    border-bottom: 1px solid rgba(0,0,0,0);
    box-shadow: 0 0 0 0 rgba(0,0,0,0);
    flex: 1;
}
.footerInput:focus {
    outline: none !important;
}
.footerInput::placeholder {
    color: #999;
}
#footerContactSendButton{
    background-color: rgb(241,174,65);
    padding: 4px 12px;
    box-shadow: 0 8px 15px -5px rgba(0,0,0,0.5);
    width: fit-content;
    margin: 8px auto;
    border-radius: 8px;
    color: white;
    font-family: "Roboto Condensed";
    font-weight: 400;
    font-size: 1rem;
    border: none;
    cursor: pointer;
    text-shadow: 0 -1px 0 #f08827;
    border-top: 1px solid rgba(255,255,255,0.5);
    border-bottom: 1px solid rgba(0,0,0,0.25);;
}
